Bug 234256 - sysutils/plasma5-kinfocenter: fix build on aarch64
Summary: sysutils/plasma5-kinfocenter: fix build on aarch64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm64 Any
: --- Affects Many People
Assignee: kde
URL: https://phabricator.kde.org/D17785
Keywords:
Depends on:
Blocks:
 
Reported: 2018-12-21 17:22 UTC by mikael.urankar
Modified: 2018-12-26 10:56 UTC (History)
3 users (show)

See Also:
tcberner: maintainer-feedback+


Attachments
patch (1.02 KB, patch)
2018-12-21 17:22 UTC, mikael.urankar
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mikael.urankar 2018-12-21 17:22:32 UTC
Created attachment 200345 [details]
patch

We don't need the linux hack (https://github.com/KDE/kinfocenter/commit/5d022b435fc44dfb96b729e4f742a7bce7a40267)
See attached patch, obtained from mmel@
thanks
Comment 1 Tobias C. Berner freebsd_committer 2018-12-21 17:58:47 UTC
Moin moin

Out of interests, why / how does it fail otherwise?


Mfg Tobias
Comment 2 mikael.urankar 2018-12-21 18:08:41 UTC
It fails in 'package' phase:

===>  Building package for plasma5-kinfocenter-5.12.5_1
pkg-static: Unable to access file /wrkdirs/usr/ports/sysutils/plasma5-kinfocenter/work/stage/usr/local/lib/qt5/plugins/kcm_pci.so:No such file or directory
pkg-static: Unable to access file /wrkdirs/usr/ports/sysutils/plasma5-kinfocenter/work/stage/usr/local/share/kservices5/kcm_pci.desktop:No such file or directory
*** Error code 1



http://thunderx1.nyi.freebsd.org/data/120arm64-quarterly/487334/logs/errors/plasma5-kinfocenter-5.12.5_1.log
Comment 3 Tobias C. Berner freebsd_committer 2018-12-21 19:54:09 UTC
Ah. Does the kcm crash on aarch64 though? If it does, fixing the plist to conditionally include these files would probably be better.
Comment 4 mikael.urankar 2018-12-22 08:04:44 UTC
(In reply to Tobias C. Berner from comment #3)
It doesn't crash.
Comment 5 Tobias C. Berner freebsd_committer 2018-12-22 20:21:53 UTC
Cool, then that even looks upstreamable with some Q_OS_FREEBSD comparison.
Comment 6 Adriaan de Groot freebsd_committer 2018-12-24 21:04:46 UTC
Submitted (roughly) upstream.
Comment 7 Adriaan de Groot freebsd_committer 2018-12-25 15:10:24 UTC
This is 39ede9c7e64ba23300a419ee9f58d953f7606b39 upstream.
Comment 8 commit-hook freebsd_committer 2018-12-26 10:55:47 UTC
A commit references this bug:

Author: tcberner
Date: Wed Dec 26 10:55:42 UTC 2018
New revision: 488367
URL: https://svnweb.freebsd.org/changeset/ports/488367

Log:
  sysutils/plasma5-kinfocenter: fix build on aarch64

  PR:		234256
  Submitted by:	adridg
  Reported by:	mikael.urankar@gmail.com

Changes:
  head/sysutils/plasma5-kinfocenter/files/patch-git_39ede9c
Comment 9 Tobias C. Berner freebsd_committer 2018-12-26 10:56:53 UTC
Committed. Thanks.